/*
 * Update the database schema
 *
 * This script must be executed on all Sitecore databases.
 */

 -- Uncomment and change the following line if you want to execute the script on a different database 
 --USE [Sitecore_Core]

if exists (select * from sys.indexes where object_id = object_id('EventQueue') and name = 'IX_Sequence')
	DROP INDEX IX_Sequence ON [EventQueue]
GO

if not exists (select * from sys.indexes where object_id = object_id('EventQueue') and name = 'IX_Stamp')
	CREATE CLUSTERED INDEX [IX_Stamp] ON [EventQueue] 
	(
		[Stamp] ASC
	) WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO

if exists (select * from sys.columns where object_id = object_id('EventQueue') and name = 'Sequence')
	ALTER TABLE [EventQueue] DROP COLUMN Sequence
GO